Page MenuHome

Can not input Chinese/Korean/Japanese in a game exported. East Asian user needs it.
Closed, ResolvedPublic

Description

System Information
Linux & Windows

Blender Version
Broken: 2.7
Worked: none

Short description of error
In BGE's edit mode, I can choice the Chinese font, and I can input Chinese (by use system input method). When I press P test the game, Chinese text show very well, but can not input Chinese, only English work. After I export h game, the game can show Chinese that already inputed, but can not input new Chinese.

Here is the post I ask at blenderartists. A Korean meet the same problem, too.
http://blenderartists.org/forum/showthread.php?336196-How-to-input-Chinese-in-a-game-Or-how-to-apply-the-system-input-method-in-game

BTW:
All East Asian character input by computer needs a system input method. Before Blender 2.64, neither edit TEXT object or Blender UI, can not input Chinese, too. After Blender 2.64, can input Chinese anywhere in Linux system, but Windows system still can not input Chinese. Can you let this feature carry over into the blender game player?

thank you very much.

Exact steps for others to reproduce the error

Event Timeline

yq-ysy (yq-ysy) raised the priority of this task from to 90.
yq-ysy (yq-ysy) updated the task description. (Show Details)
yq-ysy (yq-ysy) added a project: Game Engine.
yq-ysy (yq-ysy) edited a custom field.
yq-ysy (yq-ysy) added a subscriber: yq-ysy (yq-ysy).

yq-ysy,

What are the steps to reproducing this error?

Require:
(1) It's in Linux System (e.g. Ubuntu Linux).
(2) You had a Chinese font file (e.g. wqy-microhei.ttc).
download it here:
https://code.google.com/p/chinesepuppylinux/downloads/detail?name=wqy-microhei.ttc
(3) You had already installed Chinese input method (e.g. ibus-pinyin).
You can install it by software center of Ubuntu Linux.
Maybe add Chinese Language Support in system settings will better and easier.

The normal steps of input Chinese in Blender:
(1) Add a TEXT object in 3D View Editor.
(2) Chioce a Chinese font in Properties Editor .
(3) Switch Edit mode in 3D View Editor,
(4) Ctrl Spacebar, you can call out the Chinese input method (e.g. ibus-pinyin).
(5) Press "hao" (not include quotation marks),
(6) You can see the list of Chinese word at the lower left corner of Blender.
(7) Press Spacebar or Choice 1, you can get the Chinese word "好" in TEXT object.
(8) Now, the TEXT object already became "TEXT好", it shows good.
Note:
Press Shift can switch English/Chinese mode;
Press Ctrl Spacebar again, can exit the Chinese input method.

The error steps in BGE or Exported game:
(9) in Logic Editor.
(10) Add Text Game Property, String Type, name is "Text".
(11) Add Sensor "Keyboard", choice All keys,
Log Toggle choice "Text"; Target choice "Text".
(12) Add Controller "And", keep all default value.
(13 )Add Actuator "Edit Object", keep all default value.
(14) Link them.
(15) Now, Press P test the game, you can input English character。
(16) Ctrl Spacebar, you can call out the Chinese input method.
(17) Press "hao" you can see the list of Chinese word, too.
(18) But, after press Spacebar or Choice 1, you get nothing.
Note:
You can put the Chinese font file at the root directory of .blend file, and choice it in Blender. after export the game, you have to copy this Chinese font file to the root directory of game, So, when running game, Chinese Text (already inputed by Edit mode) can show very well. But can not input Chinese when game running.

@Shinsuke Irie (irie), can you confirm the reported problem? It seems related to the input method support in Blender for Linux (implemented by you iirc).

Indeed I didn't consider BGE when I added support for X input method.

Will look into this...

Shinsuke Irie (irie) edited this Maniphest Task.May 31 2014, 8:31 AM
Inês Almeida (brita_) lowered the priority of this task from 90 to Normal.Jul 21 2014, 10:09 PM

I was trying with Hindi in BGE. I am using Blender 2.63 running Debian Wheezy. I have IBus for inputting Hindi. Even though it is enabled and works fine in other windows, it shows as english character. Another thing I found is Ctrl-V for pasting content not working.

linus (tuxmaniac) triaged this task as 50 priority.Oct 9 2014, 4:33 PM
Julian Eisel (Severin) changed the task status from Unknown Status to Resolved.Dec 1 2014, 4:32 PM

This should get fixed once D765 is merged. Closing this already for the case I forget to do so later on.